from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils
from Products.Archetypes.public import *
from config import *

registerDirectory('skins', GLOBALS)

def initialize(context):

    import LatexMathImage

    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
